# slidev-theme-alpaga

[🇬🇧 English version](README.md)

Alpaga est un thème pour [Slidev](https://github.com/slidevjs/slidev) simple et rapide à mettre en place. Étant pensé pour l'export PDF et pour être facilement adapté à n'importe quelle identité graphique, Alpaga est idéal pour styliser tes prises de notes MarkDown, brochures et antisèches !

[![NPM version](https://img.shields.io/npm/v/@lydra/slidev-theme-alpaga?color=fb7756&label=)](https://www.npmjs.com/package/@lydra/slidev-theme-alpaga)

Alpaga theme pour [Slidev](https://github.com/slidevjs/slidev).

## Installation

Il suffit d'ajouter le frontmatter suivant en tête de ton fichier `slides.md`. Lance Slidev et tu seras invité à télécharger le thème. 

<pre><code>---
theme: <b>alpaga</b>
---</code></pre>

En savoir plus sur [comment s'utilisent les thèmes](https://fr.sli.dev/themes/use.html).


## Personnalisation

### Thème et couleurs

Le mode clair/sombre et la palette sont personnalisables dans le frontmatter avec 'colorSchema' et 'themeConfig' respectivement.

```
colorSchema: 'dark'
themeConfig:
  primary: '#00FF7F'
  secondary: '#66CDAA'
  code: 'black'
```
Tu peux changer la couleur du code indépendament du mode sombre/clair pour qu'elle soit toujours adaptée à la couleur secondaire qui apparaitra derrière. 

### Configurer l'overlay

La configuration de l'overlay se fait dans le frontmatter également.
```
themeConfig:
  subtitle: "Slidev Alpaga Theme"
  logoSrc: "/img/dummy-logo.png"
  licenseImg: "/img/license.png"
  author: "Celeste"
  version: "0.1"
```

### Polices

Les polices sont elles aussi à configurer dans le frontmatter de tes slides, elle seront importées automatiquement depuis [Google Fonts](https://fonts.google.com/), il te suffit de renseigner leurs noms.

```
fonts:
  sans: 'Montserrat'
  serif: 'Comfortaa'
  mono: 'Fira Code'
```

Si tu préfères utiliser des polices locales, regarde [cette doc](https://fr.sli.dev/custom/fonts.html#polices-locales).

## Contribution 

- `npm install`
- `npm run dev` pour lancer l'apercu de `example.md`
- Modifie `example.md` pour voir apparaitre les modifications
- `npm run export` pour générer un PDF
- `npm run screenshot` pour générer une aperçu PNG


## Licence

[![slidev-theme-alpaga Copyright 2023 Lydra](https://www.gnu.org/graphics/gplv3-with-text-136x68.png)](https://choosealicense.com/licenses/gpl-3.0/)
